evince SIGABRT in ev_document_factory_add_filters()

Bug #1013992 reported by Jean-Baptiste Lallement on 2012-06-16
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Evince
Fix Released
Medium
evince (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

Impact: that's one the frequent segfaults reported on errors.ubuntu.com

Test case: there is no known way to trigger the issue easily, just make sure evince has no new issue and check the reported bug stats

Regression potential: the fix is dropping a g_free call, if it creates any issue it will be a leak of the resource that was freed before

---

Crashed when I selected 'Save a copy' in the file menu

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: evince 3.5.2-0ubuntu2
ProcVersionSignature: Ubuntu 3.4.0-5.11-generic 3.4.0
Uname: Linux 3.4.0-5-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.2.3-0ubuntu3
Architecture: amd64
Date: Sat Jun 16 10:05:05 2012
ExecutablePath: /usr/bin/evince
ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-3.4.0-5-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: evince
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ev_document_factory_add_filters () from /usr/lib/libevdocument3.so.4
Title: evince crashed with SIGABRT in raise()
UpgradeStatus: Upgraded to quantal on 2012-01-31 (136 days ago)
UserGroups: adm admin cdrom dialout kvm libvirtd lpadmin plugdev sambashare sbuild vboxusers

Jean-Baptiste Lallement (jibel) wrote :

StacktraceTop:
 __libc_message (do_abort=2, fmt=0x7f6a1e9670d0 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:201
 malloc_printerr (action=3, str=0x7f6a1e967230 "double free or corruption (out)", ptr=<optimized out>) at malloc.c:5007
 ev_document_factory_add_filters () from /tmp/tmp0eFOv5/usr/lib/libevdocument3.so.4
 ev_window_cmd_save_as ()
 g_closure_invoke (closure=0x7f6a24030b80, return_value=0x0, n_param_values=1, param_values=0x7ffff91c4c20, invocation_hint=0x7ffff91c4bc0) at /build/buildd/glib2.0-2.33.1/./gobject/gclosure.c:777

Changed in evince (Ubuntu):
importance: Undecided → Medium
summary: - evince crashed with SIGABRT in raise()
+ evince crashed with SIGABRT in __libc_message()
tags: removed: need-amd64-retrace
tags: removed: apparmor
summary: - evince crashed with SIGABRT in __libc_message()
+ evince SIGABRT in ev_document_factory_add_filters()
Changed in evince (Ubuntu):
status: New → Triaged
importance: Medium → High
Changed in evince (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Changed in evince:
importance: Unknown → Medium
status: Unknown → New
Changed in evince:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.5.2-0ubuntu4

---------------
evince (3.5.2-0ubuntu4) quantal; urgency=low

  * debian/patches/git_frop_buggy_gfree.patch:
    - upstream fix for incorrect g_free leading to segfaults (lp: #1013992)
 -- Sebastien Bacher <email address hidden> Mon, 25 Jun 2012 17:49:01 +0200

Changed in evince (Ubuntu):
status: Triaged → Fix Released
Changed in evince (Ubuntu Precise):
status: Triaged → Fix Committed
description: updated

Hello Jean-Baptiste, or anyone else affected,

Accepted evince into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/evince/3.4.0-0ubuntu1.1 in a few hours and then in the -proposed repository. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

The update works fine, no regression has been reported, since the bug itself is not easy to trigger and can't really be tested out of watching report start let's set it verified

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.4.0-0ubuntu1.1

---------------
evince (3.4.0-0ubuntu1.1) precise-proposed; urgency=low

  * debian/patches/git_frop_buggy_gfree.patch:
    - upstream fix for incorrect g_free leading to segfaults (lp: #1013992)
 -- Sebastien Bacher <email address hidden> Mon, 25 Jun 2012 18:06:08 +0200

Changed in evince (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.